colossalai.nn.optimizer
=======================

.. automodule:: colossalai.nn.optimizer
   :members:


.. toctree::
   :maxdepth: 2

   colossalai.nn.optimizer.colossalai_optimizer
   colossalai.nn.optimizer.cpu_adam
   colossalai.nn.optimizer.fused_adam
   colossalai.nn.optimizer.fused_lamb
   colossalai.nn.optimizer.fused_sgd
   colossalai.nn.optimizer.hybrid_adam
   colossalai.nn.optimizer.lamb
   colossalai.nn.optimizer.lars
   colossalai.nn.optimizer.utils
